﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using AspnCore_Select.Models;
using AspnCore_Select.Services;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace AspnCore_Select.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            //List<Estado> listaEstados = new List<Estado>();
            //listaEstados = EstadosService.GetEstados().ToList();
            //listaEstados.Insert(0, new Estado { EstadoSigla = "Selecione" });
            //ViewBag.Estados = listaEstados;
     
            ViewBag.Estados = EstadosService.GetEstados().Select(c => new SelectListItem()
                                     { Text= c.EstadoNome, Value=c.EstadoSigla}).ToList();

            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
